%global         momorel 1

Name:           wayland
Version:        1.16.0
Release:        %{momorel}m%{?dist}
Summary:        Wayland Compositor Infrastructure
Group:          User Interface/X
License:        MIT
URL:            http://wayland.freedesktop.org/
Source0:        http://wayland.freedesktop.org/releases/%{name}-%{version}.tar.xz
NoSource:       0
BuildRequires:  autoconf automake libtool
BuildRequires:  doxygen
BuildRequires:  libffi-devel >= 3.2.1
BuildRequires:  expat-devel
BuildRequires:  libxslt
BuildRequires:  docbook-style-xsl

%description
Wayland is a protocol for a compositor to talk to its clients as well as a C
library implementation of that protocol. The compositor can be a standalone
display server running on Linux kernel modesetting and evdev input devices,
an X application, or a wayland client itself. The clients can be traditional
applications, X servers (rootless or fullscreen) or other display servers.

%package devel
Summary: Common headers for wayland
License: MIT

Requires: libwayland-client%{?_isa} = %{version}-%{release}
Requires: libwayland-cursor%{?_isa} = %{version}-%{release}
Requires: libwayland-egl%{?_isa} = %{version}-%{release}
Requires: libwayland-server%{?_isa} = %{version}-%{release}
Provides: libwayland-client-devel = %{version}-%{release}
Obsoletes:libwayland-client-devel < 1.14.1
Provides: libwayland-cursor-devel = %{version}-%{release}
Obsoletes:libwayland-cursor-devel < 1.14.1
Provides: libwayland-server-devel = %{version}-%{release}
Obsoletes:libwayland-server-devel < 1.14.1
Provides: libwayland-egl-devel = %{version}-%{release}
Provides: mesa-libwayland-egl-devel = %{version}-%{release}
Provides: mesa-libwayland-egl-devel%{?_isa} = %{version}-%{release}
Obsoletes:mesa-libwayland-egl-devel < 18.1.0

%description devel
Common headers for wayland

%package doc
Summary: Wayland development documentation
BuildArch: noarch
Obsoletes: wayland < 1.14.0
%description doc
Wayland development documentation

%package -n libwayland-client
Summary: Wayland client library
License: MIT
%description -n libwayland-client
Wayland client library

%package -n libwayland-cursor
Summary: Wayland cursor library
License: MIT
%description -n libwayland-cursor
Wayland cursor library

%package -n libwayland-egl
Summary: Wayland egl library
Provides:  mesa-libwayland-egl = %{version}-%{release}
Obsoletes: mesa-libwayland-egl < 18.1.0
%description -n libwayland-egl
Wayland egl library


%package -n libwayland-server
Summary: Wayland server library
License: MIT
%description -n libwayland-server
Wayland server library

%prep
%setup -q

%build
autoreconf -v --install
%configure --disable-static --enable-documentation
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -name \*.la | xargs rm -f

%clean
rm -rf %{buildroot}

%post -n libwayland-client -p /sbin/ldconfig

%postun -n libwayland-client -p /sbin/ldconfig

%post -n libwayland-server -p /sbin/ldconfig

%postun -n libwayland-server -p /sbin/ldconfig

%files devel
%{_bindir}/wayland-scanner
%{_includedir}/wayland-*.h
%{_libdir}/pkgconfig/wayland-*.pc
%{_libdir}/libwayland-*.so
%{_datadir}/aclocal/wayland-scanner.m4
%dir %{_datadir}/wayland
%{_datadir}/wayland/wayland-scanner.mk
%{_datadir}/wayland/wayland.xml
%{_datadir}/wayland/wayland.dtd
%{_mandir}/man3/*.3*

%files doc
%defattr(-,root,root,-)
%doc README TODO
%{_datadir}/doc/wayland/

%files -n libwayland-client
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libwayland-client.so.0*

%files -n libwayland-cursor
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libwayland-cursor.so.0*

%files -n libwayland-egl
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libwayland-egl.so.1*

%files -n libwayland-server
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libwayland-server.so.0*

%changelog
* Sun Aug 26 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.16.0-1m)
- update 1.16.0

* Sun Aug 12 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.15.93-1m)
- update 1.15.93

* Sun Apr 15 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.15.0-2m)
- Obsoletes and provides mesa-libwayland-egl 

* Wed Apr 11 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.15.0-1m)
- update 1.15.0

* Tue Apr 03 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.14.93-1m)
- update 1.14.93

* Wed Feb 28 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.14.91-1m)
- update 1.14.91

* Thu Aug 10 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.14.0-1m)
- update 1.14.0

* Wed Aug 02 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.13.93-1m)
- update 1.13.93

* Wed Jul 26 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.13.92-1m)
- update 1.13.92

* Wed Feb 22 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.13.0-1m)
- update 1.13.0

* Thu Feb 16 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.12.93-1m)
- update 1.12.93

* Wed Jan 25 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.12.91-1m)
- update 1.12.91

* Wed Sep 21 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.12.0-1m)
- update 1.12.0

* Wed Sep 21 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.11.94-1m)
- update 1.11.94

* Thu Sep 01 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.11.92-1m)
- update 1.11.92

* Wed Jun 01 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.11.0-1m)
- update 1.11.0

* Fri May 20 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.92-1m)
- update 1.10.92

* Sat Feb 20 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.0-1m)
- update 1.10.0

* Sun Feb 14 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.93-1m)
- update 1.9.93

* Sat Feb 06 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.92-1m)
- update 1.9.92

* Fri Jan 22 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.91-1m)
- update 1.9.91

* Wed Sep 23 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.0-1m)
- update 1.9.0

* Mon Sep 14 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8.92-1m)
- update 1.8.92

* Sun Jul 26 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8.1-1m)
- update 1.8.1

* Sun Feb 15 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.7.0-1m)
- update 1.7.0

* Mon Dec 15 2014 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.0-2m)
- rebuild against libffi-3.2.1

* Sat Sep 20 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.0-1m)
- update 1.6.0

* Tue Aug 26 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.91-1m)
- update 1.5.91

* Fri Jun 20 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.0-1m)
- update 1.5.0

* Sun Jul 21 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.0-1m)
- import from Fedora

* Mon Jul 15 2013 Richard Hughes <rhughes@redhat.com> - 1.2.0-1
- wayland 1.2.0

* Wed May 15 2013 Richard Hughes <rhughes@redhat.com> - 1.1.90-0.1.20130515
- Update to a git snapshot based on what will become 1.1.90

* Tue Apr 16 2013 Richard Hughes <rhughes@redhat.com> - 1.1.0-1
- wayland 1.1.0

* Wed Mar 27 2013 Richard Hughes <rhughes@redhat.com> - 1.0.6-1
- wayland 1.0.6

* Thu Feb 21 2013 Adam Jackson <ajax@redhat.com> 1.0.5-1
- wayland 1.0.5

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 02 2013 Adam Jackson <ajax@redhat.com> 1.0.3-1
- wayland 1.0.3

* Tue Oct 23 2012 Adam Jackson <ajax@redhat.com> 1.0.0-1
- wayland 1.0

* Thu Oct 18 2012 Adam Jackson <ajax@redhat.com> 0.99.0-1
- wayland 0.99.0

* Tue Sep 04 2012 Adam Jackson <ajax@redhat.com> 0.95.0-1
- wayland 0.95.0 (#843738)

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.89.0-2.20120424
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 24 2012 Richard Hughes <rhughes@redhat.com> - 0.89.0-1
- Update to a git snapshot based on 0.89.0

* Sat Feb 18 2012 Thorsten Leemhuis <fedora@leemhuis.info> - 0.85.0-1
- update to 0.85.0
- adjust license, as upstream changed it to MIT
- update make-git-snapshot.sh to current locations and scheme
- drop common package, not needed anymore
- compositor is now in a separate package, hence reduce BuildRequires to what
  is actually needed (a lot less) and adjust summary
- make usage of a git checkout in spec file optional
- a %%{?_isa} to requires where it makes sense

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.6.20101221
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.1-0.5.20101221
- Rebuild for new libpng

* Wed Jun 15 2011 Lubomir Rintel <lkundrak@v3.sk> - 0.1-0.4.20101221
- Install real compositor binary instead of a libtool wrapper

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.3.20101221
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Adam Jackson <ajax@redhat.com> 0.1-0.2.20101221
- Today's git snap

* Tue Nov 23 2010 Adam Jackson <ajax@redhat.com> 0.1-0.2.20101123
- Today's git snap
- Fix udev rule install (#653353)

* Mon Nov 15 2010 Adam Jackson <ajax@redhat.com> 0.1-0.1.20101111
- Initial packaging
